import { ScatterBase } from "./ScatterBase";
import { IScaleLegendSeries } from "igniteui-angular-core";
import { ISupportsSizeScale } from "./ISupportsSizeScale";
import { ISupportsFillScale } from "./ISupportsFillScale";
import { Rect } from "igniteui-angular-core";
import { IFastItemColumn$1 } from "igniteui-angular-core";
import { Type } from "igniteui-angular-core";
import { List$1 } from "igniteui-angular-core";
import { UIElement } from "igniteui-angular-core";
import { ActualRange } from "./ActualRange";
import { Series } from "./Series";
import { SizeScale } from "./SizeScale";
import { BrushScale } from "./BrushScale";
import { SeriesView } from "./SeriesView";
import { MarkerFillMode } from "./MarkerFillMode";
import { ScatterFrame } from "./ScatterFrame";
import { IChartLegend } from "igniteui-angular-core";
import { Brush } from "igniteui-angular-core";
import { ScatterBaseView } from "./ScatterBaseView";
import { FastItemsSourceEventAction } from "igniteui-angular-core";
import { Marker } from "./Marker";
import { ChartSelection } from "./ChartSelection";
import { SeriesSelectionBehavior } from "./SeriesSelectionBehavior";
import { BrushSelectionMode } from "./BrushSelectionMode";
import { MarkerManagerBase } from "./MarkerManagerBase";
/**
 * @hidden
 */
export declare class BubbleSeries extends ScatterBase implements IScaleLegendSeries, ISupportsSizeScale, ISupportsFillScale {
    static $t: Type;
    protected bk(): Series;
    protected get_ek(): boolean;
    protected ct(): SeriesView;
    q7(a: SeriesView): void;
    ac0: BubbleSeriesView;
    protected jo(): number;
    xb(): MarkerFillMode;
    constructor();
    private aer;
    private aeq;
    isAttachedTo(a: IChartLegend): boolean;
    protected ej(): boolean;
    protected p8(a: (arg1: any) => void): void;
    get ac8(): IFastItemColumn$1<number>;
    protected get_isColoredItemwise(): boolean;
    ade: List$1<UIElement>;
    private aep;
    get legendReady(): boolean;
    get minScaleText(): string;
    get maxScaleText(): string;
    forScaleColors(a: (arg1: Brush, arg2: number) => void): boolean;
    ad3: string;
    ku(a: any, b: string): any;
    mi(a: string): string;
    get ada(): IFastItemColumn$1<number>;
    set ada(a: IFastItemColumn$1<number>);
    private ac5;
    ac2: SizeScale;
    adt: string;
    private ac4;
    get ac9(): IFastItemColumn$1<any>;
    set ac9(a: IFastItemColumn$1<any>);
    ado: string;
    acz: BrushScale;
    private ac3;
    get ac6(): IFastItemColumn$1<number>;
    set ac6(a: IFastItemColumn$1<number>);
    adb: boolean;
    adc: boolean;
    adi: number;
    adh: number;
    add: boolean;
    abe(a: ScatterBaseView, b: ScatterFrame, c: number, d: Rect, e: Rect): void;
    abp(a: ScatterFrame, b: ScatterBaseView): void;
    private ad8;
    static adf(a: number, b: number, c: number, d: number, e: number): number;
    static adg(a: number, b: number, c: number, d: number, logBase_: number, e: number): number;
    hf(a: Rect, b: Rect, c: SeriesView): boolean;
    protected z1(a: string, b: FastItemsSourceEventAction): boolean;
    private ad7;
    protected ph(a: FastItemsSourceEventAction, b: number, c: number, d: string): void;
    qj(): void;
    qq(): void;
    protected rg(a: any, b: string, c: any, d: any): void;
    updateSizeScaleGlobals(): void;
    updateFillScaleGlobals(): void;
    acy(a: SizeScale): ActualRange;
    acx(): ActualRange;
    ac1: SizeScale;
    aea(a: List$1<Marker>, b: List$1<number>, c: Rect, d: boolean): void;
    ad9(a: List$1<Marker>): void;
    ak(a: Rect, b: SeriesSelectionBehavior): ChartSelection[];
    qa(a: Rect, b: List$1<ChartSelection>, c: SeriesSelectionBehavior): void;
    private ac7;
    adz: string;
    adk: string;
    ad1: string;
    adm: string;
    getDataLegendSeriesContextAt(a: number, b: number): any;
    get actualMarkerBrush(): Brush;
    static $$p: string[];
}
/**
 * @hidden
 */
export declare class CustomPaletteBrushScale extends BrushScale {
    static $t: Type;
    constructor();
    brushSelectionMode: BrushSelectionMode;
    getBrush1(a: number, b: number): Brush;
    protected get_isReady(): boolean;
    static $$p: string[];
}
/**
 * @hidden
 */
export declare class BubbleSeriesView extends ScatterBaseView {
    static $t: Type;
    protected dy: BubbleSeries;
    constructor(a: BubbleSeries);
    a4(): void;
    protected dc(): MarkerManagerBase;
    d0(): void;
    d1(): void;
    dz(): void;
    getDefaultTooltipTemplate(): string;
}
